Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_ImplementationRepository::Administration Class Reference

`#include <ImplRepoS.h>`

Inheritance diagram for POA_ImplementationRepository::Administration:

[legend]
Collaboration diagram for POA_ImplementationRepository::Administration:

[legend]
List of all members.

## Public Types
typedef ::ImplementationRepository::Administration | _stub_type
typedef ::ImplementationRepository::Administration_ptr | _stub_ptr_type
typedef ::ImplementationRepository::Administration_var | _stub_var_type
## Public Methods
| Administration (const Administration &rhs)
virtual | ~Administration (void)
virtual CORBA::Boolean | _is_a (const char *logical_type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Local implementation of the CORBA::Object::_is_a method.
virtual void * | _downcast (const char *logical_type_id)
| Get the correct vtable.
virtual void | _dispatch (TAO_ServerRequest &req, void *_servant_upcall ACE_ENV_ARG_DECL)
::ImplementationRepository::Administration * | _this (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
| Get this interface's repository id (TAO specific).
virtual void | activate_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual char * | activate_server_with_startup (const char *server, CORBA::Long check_startup ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | register_server (const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )
virtual void | reregister_server (const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )
virtual void | remove_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_running (const char *server, const char *addr, ImplementationRepository::ServerObject_ptr server_object ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | find (const char *server, ImplementationRepository::ServerInformation_out info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | list (CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list, ImplementationRepository::ServerInformationIterator_out server_iterator ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | find_ior (const char *object_name ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
## Static Public Methods
void | _is_a_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _non_existent_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _interface_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _component_skel (TAO_ServerRequest &req, void *obj, void *servant_upcall ACE_ENV_ARG_DECL)
void | activate_server_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | activate_server_with_startup_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | register_server_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | reregister_server_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | remove_server_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | shutdown_server_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | server_is_running_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | server_is_shutting_down_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | find_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | list_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | find_ior_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
## Protected Methods
| Administration (void)

## Member Typedef Documentation

typedef ::ImplementationRepository::Administration_ptr POA_ImplementationRepository::Administration::_stub_ptr_type

| Reimplemented in POA_ImplementationRepository::Locator.

typedef ::ImplementationRepository::Administration POA_ImplementationRepository::Administration::_stub_type

| Reimplemented in POA_ImplementationRepository::Locator.

typedef ::ImplementationRepository::Administration_var POA_ImplementationRepository::Administration::_stub_var_type

| Reimplemented in POA_ImplementationRepository::Locator.

## Constructor & Destructor Documentation

POA_ImplementationRepository::Administration::Administration | ( | void |  | ) | `[protected]`

POA_ImplementationRepository::Administration::Administration | ( | const Administration & | rhs | ) |

POA_ImplementationRepository::Administration::~Administration | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_ImplementationRepository::Administration::_component_skel | ( | TAO_ServerRequest & | req,
|  | void * | obj,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

| Reimplemented in POA_ImplementationRepository::Locator.

virtual void POA_ImplementationRepository::Administration::_dispatch | ( | TAO_ServerRequest & | req,
|  | void *_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented in POA_ImplementationRepository::Locator.

void * POA_ImplementationRepository::Administration::_downcast | ( | const char * | logical_type_id | ) | `[virtual]`

| Get the correct vtable. Implements TAO_ServantBase. Reimplemented in POA_ImplementationRepository::Locator.

const char * POA_ImplementationRepository::Administration::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Get this interface's repository id (TAO specific). Implements TAO_ServantBase. Reimplemented in POA_ImplementationRepository::Locator.

void POA_ImplementationRepository::Administration::_interface_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

| Reimplemented in POA_ImplementationRepository::Locator.

virtual CORBA::Boolean POA_ImplementationRepository::Administration::_is_a | ( | const char *logical_type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Local implementation of the CORBA::Object::_is_a method. Reimplemented from TAO_ServantBase. Reimplemented in POA_ImplementationRepository::Locator.

void POA_ImplementationRepository::Administration::_is_a_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

| Reimplemented in POA_ImplementationRepository::Locator.

void POA_ImplementationRepository::Administration::_non_existent_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

| Reimplemented in POA_ImplementationRepository::Locator.

ImplementationRepository::Administration * POA_ImplementationRepository::Administration::_this | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

| Reimplemented in POA_ImplementationRepository::Locator.

virtual void POA_ImplementationRepository::Administration::activate_server | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[pure virtual]`

void POA_ImplementationRepository::Administration::activate_server_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual char* POA_ImplementationRepository::Administration::activate_server_with_startup | ( | const char * | server,
|  | CORBA::Long check_startup | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[pure virtual]`

void POA_ImplementationRepository::Administration::activate_server_with_startup_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::find | ( | const char * | server,
|  | ImplementationRepository::ServerInformation_out info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

virtual char* POA_ImplementationRepository::Administration::find_ior | ( | const char *object_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::find_ior_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

void POA_ImplementationRepository::Administration::find_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::list | ( | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out | server_list,
|  | ImplementationRepository::ServerInformationIterator_out server_iterator | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_ImplementationRepository::Administration::list_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::register_server | ( | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::register_server_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::remove_server | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::remove_server_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::reregister_server | ( | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::reregister_server_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::server_is_running | ( | const char * | server,
|  | const char * | addr,
|  | ImplementationRepository::ServerObject_ptr server_object | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::server_is_running_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::server_is_shutting_down | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::server_is_shutting_down_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::Administration::shutdown_server | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

void POA_ImplementationRepository::Administration::shutdown_server_skel | ( | TAO_ServerRequest & | _tao_req,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

The documentation for this class was generated from the following files:

- ImplRepoS.h
- ImplRepoS.cpp